Sign in to follow this  
Gizmo05

737 Immersion not reconizing my 737 Sim

Recommended Posts

Hi All,

Finally i just purchased the 737NGX and the 737 Immersion package however when i tired installing it via VFX Central, i get " You need to get at least one compatible simulator installed to use this product. Please refer to your product's manual".  I purchased the 777 and the 777 package and i had no problem activating the immersions. i am using P3D V4. Am i missing out on something. Need your assistance please.

 

Regards

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

The 737 Immersion Pack is not compatible yet to P3Dv4.

Only PrecipitFX, the 777 Immersion Pack and of course ChasePlane is compatbile to P3Dv4 for the moment

Share this post


Link to post
Share on other sites

Oh no... i thought it was P3D V4 ready and i purchased. What can i do? Any suggestions?

 

Regards

Share this post


Link to post
Share on other sites

you  could  wait   till it  does  or   go  back to the shop  where  you had  purchased  it 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this